export var PaymentCycle;
(function (PaymentCycle) {
    PaymentCycle["NO_CYCLE"] = "NO_CYCLE";
    PaymentCycle["MONTHLY"] = "MONTHLY";
    PaymentCycle["YEARLY"] = "YEARLY";
    PaymentCycle["ONE_TIME"] = "ONE_TIME";
    PaymentCycle["TWO_YEARS"] = "TWO_YEARS";
    PaymentCycle["THREE_YEARS"] = "THREE_YEARS";
    PaymentCycle["FOUR_YEARS"] = "FOUR_YEARS";
    PaymentCycle["FIVE_YEARS"] = "FIVE_YEARS";
})(PaymentCycle || (PaymentCycle = {}));
export var FreeTrialStatus;
(function (FreeTrialStatus) {
    /** Unknown trial status. */
    FreeTrialStatus["UNKNOWN_STATUS"] = "UNKNOWN_STATUS";
    /** The free trial is currently in progress. */
    FreeTrialStatus["IN_PROGRESS"] = "IN_PROGRESS";
    /** The free trial has ended. */
    FreeTrialStatus["ENDED"] = "ENDED";
    /** No free trial was applied, as none was available. */
    FreeTrialStatus["NOT_AVAILABLE"] = "NOT_AVAILABLE";
})(FreeTrialStatus || (FreeTrialStatus = {}));
export var FreeTrialPeriod;
(function (FreeTrialPeriod) {
    /** Free trial status unknown. */
    FreeTrialPeriod["FREE_TRIAL_PERIOD_UNKNOWN"] = "FREE_TRIAL_PERIOD_UNKNOWN";
    /** During a free trial period. */
    FreeTrialPeriod["DURING_FREE_TRIAL"] = "DURING_FREE_TRIAL";
    /** Not during a free trial period. */
    FreeTrialPeriod["NOT_DURING_FREE_TRIAL"] = "NOT_DURING_FREE_TRIAL";
})(FreeTrialPeriod || (FreeTrialPeriod = {}));
export var ReactivationReason;
(function (ReactivationReason) {
    /** Reactivation reason unknown. */
    ReactivationReason["REACTIVATION_REASON_UNKNOWN"] = "REACTIVATION_REASON_UNKNOWN";
    /** The subscription's auto-renewal is turned on. */
    ReactivationReason["AUTO_RENEW_TURNED_ON"] = "AUTO_RENEW_TURNED_ON";
})(ReactivationReason || (ReactivationReason = {}));
export var ResolutionMethod;
(function (ResolutionMethod) {
    ResolutionMethod["QUERY_PARAM"] = "QUERY_PARAM";
    ResolutionMethod["SUBDOMAIN"] = "SUBDOMAIN";
    ResolutionMethod["SUBDIRECTORY"] = "SUBDIRECTORY";
})(ResolutionMethod || (ResolutionMethod = {}));
export var WebhookIdentityType;
(function (WebhookIdentityType) {
    WebhookIdentityType["UNKNOWN"] = "UNKNOWN";
    WebhookIdentityType["ANONYMOUS_VISITOR"] = "ANONYMOUS_VISITOR";
    WebhookIdentityType["MEMBER"] = "MEMBER";
    WebhookIdentityType["WIX_USER"] = "WIX_USER";
    WebhookIdentityType["APP"] = "APP";
})(WebhookIdentityType || (WebhookIdentityType = {}));
//# sourceMappingURL=devcenter-app-instance-v1-app-instance-app-instances.types.js.map